Simple Virtual Machine A simple but flexible virtual machine

Loading...
Searching...
No Matches
Functions
SVM kernel execution
SVM kernels

This module contains API functions to handle SVM kernel execution. More...

## Functions
SVM_FUNCTION void | svm_kernel_suspend (const void *svm, const SVM_Kernel kernel)
| This function asks a kernel for suspension.
SVM_FUNCTION void | svm_kernel_terminate (const void *svm, const SVM_Kernel kernel)
| This function asks a kernel for terminaison.

## Detailed Description

This module contains API functions to handle SVM kernel execution.

## Function Documentation

## ◆ svm_kernel_suspend()

SVM_FUNCTION void svm_kernel_suspend | ( | const void * | svm,
|  | const SVM_Kernel | kernel
| ) |  |

This function asks a kernel for suspension.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | kernel | The kernel to be suspended.

Note
  The suspension of the kernel is asynchronous, and will be performed at the end of the execution of its current instruction.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)

## ◆ svm_kernel_terminate()

SVM_FUNCTION void svm_kernel_terminate | ( | const void * | svm,
|  | const SVM_Kernel | kernel
| ) |  |

This function asks a kernel for terminaison.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | kernel | The kernel to be terminated.

Note
  The terminaison of the kernel is asynchronous, and will be performed at the end of the execution of its current instruction.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)